package com.bailuntec.domain.enums;

import lombok.Getter;

/**
 * 任务执行状态
 */
@Getter
public enum TaskExecuteStatusEnum {

    NEW(0, "未执行"),
    RUNNING(1, "执行中"),
    FINISHED(2, "执行完成"),
    ERROR(3, "执行出错");


    private Integer code;

    private String name;

    TaskExecuteStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
}
